[Hilo Oficial] Arch Linux

er_gallar escribió:Buenas ya he agregado mirrors de los que me disteis. Y ya he podido instalar el sudo y actualizar el sitema entero (bueno ya tenia la ultima version pero ha verificado que la tenia).

Pero cada vez que uso pacman, me salen Warnings en la linea del mirrorlist donde he añadido un mirror sale exactamente esto:

Warning: config file /etc/pacman.d/mirrorlist, line 9: directive 'Server' in section options not recognized

Pega el mirrorlist y el pacman.conf si lo has modificado, a ver si vemos algo.
Lo solucione usando un backup que había hecho por precaución (siguiedo la guia del wiki de archlinux) de la mirrorlist. Supongo que había borrado o modificado alguna línea de forma incorrecta.

Pero ahora tengo un problema para instalar los drivers de mi GTX275, despues de haber instalado Xorg escribo Pacman -S nvidia

Pero me dice que hay un conflicto con libgl, me pregunta si quiero seguir desistalando libgl y seguir instalando los drivers de nvidia pero si le doy que si no lo hace, me dice que unos cuantos paquetes como ati-dri (no se que pinta ahi) dependen de libgl

Gracias y saludos
er_gallar escribió:Lo solucione usando un backup que había hecho por precaución (siguiedo la guia del wiki de archlinux) de la mirrorlist. Supongo que había borrado o modificado alguna línea de forma incorrecta.

Pero ahora tengo un problema para instalar los drivers de mi GTX275, despues de haber instalado Xorg escribo Pacman -S nvidia

Pero me dice que hay un conflicto con libgl, me pregunta si quiero seguir desistalando libgl y seguir instalando los drivers de nvidia pero si le doy que si no lo hace, me dice que unos cuantos paquetes como ati-dri (no se que pinta ahi) dependen de libgl

Gracias y saludos


libgl es una lbreria que utilizan los drivers libres para aceleracion 3D (nouveau-dri, ati-dri), por eso es que ati-dri depende de ella. Haz lo siguiente:

pacman -Rns ati-dri && pacman -S nvidia nvidia-utils


Puedes remover libgl cuando lo pida, nvidia es el driver y nvidia-utils te proporciona aceleracion 3D(necesaria para usar los efectos de compiz,kwin,etc).
Saludos.
¿Alguien ha instalado un lector de dni-e en arch? Tengo un lector que conseguí en alguna promoción que hacía el gobierno, tiene el logo de Caixa Galicia dibujado y un lsusb me dice lo siguiente: ID 058f:9520 Alcor Micro Corp. EMV Certified Smart Card Reader

Parece que el driver que requiere es ccid, el caso es que no sé si debo seguir estos pasos o es para otro dispositivo: https://wiki.archlinux.org/index.php/Common_Access_Card

¿Es posible hacerlo funcionar con otro navegador distinto a firefox?

También veo que en la web del dni electrónico el programa que dan para linux se llama opensc-dnie, en aur están los siguientes:
aur/opensc 0.12.1-1 (61)
    Access smart cards that support cryptographic operations
aur/opensc-dnie-svn 236-1 (1)
    Access smart cards that support cryptographic operations. with DNIe D.G.P official driver (Spanish electronic ID
    card).  (Driver de la Direccion General de la Policia adaptado al OpenSC v 0.12 (SVN VERSION))
aur/opensc-opendnie 0.12.1-1 (9)
    Access smart cards that support cryptographic operations (with open DNIe driver)
aur/opensc-opendnie-svn 249-1 (2)
    Access smart cards that support cryptographic operations (with OpenDNIe driver) (SVN VERSION))


En fin, ando más perdido que el copón.
Hola ArchLinuxeros,

Tengo una pregunta para vosotros. Tengo un "problemilla" con el nvidia-settings. Resulta que por defecto siempre se me pone los drivers de la gráfica en modo "adaptativo" que significa que cuando no hay mucho requerimiento gráfico por parte de las aplicaciones pues se pone en un perfil de rendimiento más bajo para bajar temperatura a coste de rendimiento. El caso es que yo eso desde el nvidia-settings lo puedo poner a "máximo rendimiento", pero a lo que cierro sesión o vuelvo a entrar en Arch tengo que ponerlo otra vez manualmente y es bastante coñazo. Sabéis si hay alguna forma de hacer permanente esa opción ?


Saludos.
buenas, instale KDE en ArchLinux (recien instaladito jeje ) y instale el paquete de español kde-l10n-es para ponerlo en español pero...o no se poner el paquete o no se que pasa. Me salen algunas cosas en ingles, otras en español...

Aparte de todos lso tamaños de fuentes gigantes pero bueno, eso lo puedo modificar a mi gusto
tMK está baneado por "saltarse baneo temporal con clon"
er_gallar escribió:buenas, instale KDE en ArchLinux (recien instaladito jeje ) y instale el paquete de español kde-l10n-es para ponerlo en español pero...o no se poner el paquete o no se que pasa. Me salen algunas cosas en ingles, otras en español...

Aparte de todos lso tamaños de fuentes gigantes pero bueno, eso lo puedo modificar a mi gusto


Es posible que no esté todo traducido... no te lo puedo asegurar porque yo lo prefiero en inglés.
er_gallar escribió:buenas, instale KDE en ArchLinux (recien instaladito jeje ) y instale el paquete de español kde-l10n-es para ponerlo en español pero...o no se poner el paquete o no se que pasa. Me salen algunas cosas en ingles, otras en español...

Aparte de todos lso tamaños de fuentes gigantes pero bueno, eso lo puedo modificar a mi gusto

¿Tienes todo bien en /etc/locale.gen? Descomenta los idiomas que vayas a usar, después ejecuta locale-gen y reinicia X.

Saludos.
No-Alternative escribió:Hola ArchLinuxeros,

Tengo una pregunta para vosotros. Tengo un "problemilla" con el nvidia-settings. Resulta que por defecto siempre se me pone los drivers de la gráfica en modo "adaptativo" que significa que cuando no hay mucho requerimiento gráfico por parte de las aplicaciones pues se pone en un perfil de rendimiento más bajo para bajar temperatura a coste de rendimiento. El caso es que yo eso desde el nvidia-settings lo puedo poner a "máximo rendimiento", pero a lo que cierro sesión o vuelvo a entrar en Arch tengo que ponerlo otra vez manualmente y es bastante coñazo. Sabéis si hay alguna forma de hacer permanente esa opción ?


Saludos.


Lo tienes en el wiki de arch de Nvidia, pero basicamente es poner en la seccion "Device" de la config de Xorg (si tienes xorg.conf o en el fichero de config de nvidia en /etc/X11/xorg.conf.d/ lo siguiente:

Option "RegistryDwords" "PowerMizerEnable=0x1; PerfLevelSrc=0x3322; PowerMizerDefaultAC=0x1"


Con esto siempre estaria en el modo de maximo rendimiento.
Buenas a todos. Tengo un problema, a ver si alguien me puede ayudar. Como dato, mi ratón es un A4tech X7.

El problema está cuando hay alguna barra desplegable, no se como llamarla por eso pongo una captura, de algún programa que utilice gtk3. No pasa con gtk2 ni con qt.

Imagen

El tema es que no se queda desplegada, osea no puedo soltar el botón izquierdo del ratón, por que si no se cierra y no puedo cambiar de opción. En realidad no es que sea muy grave pero es un incordio, sobre todo si instalas Gnome3 y casi todos los programas usan gtk3.

Sospechaba que podría ser de evdev, con lo que cambié a una versión inferior sin resultado. También configuré xorg.conf para que utilizase del driver xf86-input-mouse en vez de evdev de la siguiente manera:
Driver "mouse"
Option "Protocol" "auto"
Option "Device" "/dev/input/mice"
Option "Buttons" "7"
Option "ZAxisMapping" "4 5"
Option "ButtonMapping" "1 2 3 6 7"


y de las otras maneras que comentan en la wiki de archlinux https://wiki.archlinux.org/index.php/All_Mouse_Buttons_Working. Consigo que funcionen los 7 botones pero no se resuelve el problema.

Ya no se que puedo hacer. Alguien que se le ocurra algo o que le haya pasado????

Gracias y un saludo.
tMK escribió:
er_gallar escribió:buenas, instale KDE en ArchLinux (recien instaladito jeje ) y instale el paquete de español kde-l10n-es para ponerlo en español pero...o no se poner el paquete o no se que pasa. Me salen algunas cosas en ingles, otras en español...

Aparte de todos lso tamaños de fuentes gigantes pero bueno, eso lo puedo modificar a mi gusto


Es posible que no esté todo traducido... no te lo puedo asegurar porque yo lo prefiero en inglés.

yo lo instale asi;
pacman -S kde kde-l10n-es

y esta todo en español
keopety escribió:
tMK escribió:
er_gallar escribió:buenas, instale KDE en ArchLinux (recien instaladito jeje ) y instale el paquete de español kde-l10n-es para ponerlo en español pero...o no se poner el paquete o no se que pasa. Me salen algunas cosas en ingles, otras en español...

Aparte de todos lso tamaños de fuentes gigantes pero bueno, eso lo puedo modificar a mi gusto


Es posible que no esté todo traducido... no te lo puedo asegurar porque yo lo prefiero en inglés.

yo lo instale asi;
pacman -S kde kde-l10n-es

y esta todo en español


A mi me ocurrió lo mismo y era debido a que no tenía bien puesto el locale en rc.conf.Comprueba en locale gen o rc.conf a ver si tienes puesto en español.
Otra cosa dirigida a todos.Con el tiempo voy aprendiendo a solucionar los contratiempos que hay en arch y en estos últimos meses he aprendido más de linux que nunca.
A través de la wiki de arch he podido solucionar e instalar muchas cosas.Lo peor fue que no estoy acostumbrado a manejar xorg y demás,ya que por vagueza siempre he usado distros user-friendly y con una gui es muy fácil instalar nuevos dispositivos,etc....
Lo que ocurre en arch es que todo es demasiado manual.Como cambies algo del hardware la lías.Por ejemplo para instalar nouveau y quitar los drivers ati,menudo coñazo.
Directamente ni puedes entrar en modo gráfico.Desde el segundo pc,leyendo la wiki para crear un nuevo xorg y meter los modulos de nouveau al kernel(parece que este driver es especialito).Pero no sin antes tener que montar la particion desde el cd de arch para quitar kdm de los demonios,para así poder arreglar el estropicio. [qmparto] [qmparto] [qmparto] [qmparto] [qmparto]
Por si a alguno le da problemas al desinstalar paquetes que dependen de otros,usen el comando pacman -Rdd.Borra el paquete ignorando dependencias

Por último no soy capaz de usar la navegación tor.Seguí la wiki e instalé los demonios,pero activando el proxy 127.0.0.1 Puerto :8118,no salgo a través de tor.
En windows no tuve problemas.
ismarub escribió:Pero no sin antes tener que montar la particion desde el cd de arch para quitar kdm de los demonios,para así poder arreglar el estropicio. [qmparto] [qmparto] [qmparto] [qmparto] [qmparto]


La proxima vez, añade temporalmente el parametro "single" a la linea de arranque del GRUB, te ahorras 200 "chorrapasos" XD
Para Tor, yo lo probé y tenia todo configurado según el wiki de arch, pero en la web de test me decía que no tenía proxy de tor.

¿Usas Chromium en lugar de firefox con el torbuton verdad?

Prueba con esto:

chromium --proxy-server="127.0.0.1:8118;https=127.0.0.1:8118;socks=127.0.0.1:8118;sock4=127.0.0.1:8118;sock5=127.0.0.1:8118,ftp=127.0.0.1:8118" --incognito check.torproject.org

Es la única manera que me funcionó, en lugar de usar una extensión para cambiar el proxy, abres el navegador usando el propio proxy.
amuchamu escribió:¿Alguien ha instalado un lector de dni-e en arch? Tengo un lector que conseguí en alguna promoción que hacía el gobierno, tiene el logo de Caixa Galicia dibujado y un lsusb me dice lo siguiente: ID 058f:9520 Alcor Micro Corp. EMV Certified Smart Card Reader

Parece que el driver que requiere es ccid, el caso es que no sé si debo seguir estos pasos o es para otro dispositivo: https://wiki.archlinux.org/index.php/Common_Access_Card

¿Es posible hacerlo funcionar con otro navegador distinto a firefox?

También veo que en la web del dni electrónico el programa que dan para linux se llama opensc-dnie, en aur están los siguientes:
aur/opensc 0.12.1-1 (61)
    Access smart cards that support cryptographic operations
aur/opensc-dnie-svn 236-1 (1)
    Access smart cards that support cryptographic operations. with DNIe D.G.P official driver (Spanish electronic ID
    card).  (Driver de la Direccion General de la Policia adaptado al OpenSC v 0.12 (SVN VERSION))
aur/opensc-opendnie 0.12.1-1 (9)
    Access smart cards that support cryptographic operations (with open DNIe driver)
aur/opensc-opendnie-svn 249-1 (2)
    Access smart cards that support cryptographic operations (with OpenDNIe driver) (SVN VERSION))


En fin, ando más perdido que el copón.


Hola,

Yo tengo un lector de tractis que "regalaban" a 2 eypos. En Arch tengo instalado estos paquetes, por si te sirviera de algo:

opensc-opendnie
ccid
scmccid


Al ejecutar sudo opensc-explorer (viene con el opendnie) te debería salir algo, si instalaste el driver adecuado claro XD

Por lo que sé (que es casi nada) solo se puede en FF. Intenté copiar algo a Opera (imagino que era el certificado o el plugin o no sé qué brrr no recuerdo ya) pero nanai.

Suerte ;)
Una pregunta chorra y rápida. Cómo puedo volver a leer la información que da un paquete cuándo se instala ? Por ejemplo, cuando instalas Virtualbox, justo después de instalar el paquete te da una información adicional sobre cómo tienes que configurar los deamons ...

Gracias.
srpatato escribió:Hola,

Yo tengo un lector de tractis que "regalaban" a 2 eypos. En Arch tengo instalado estos paquetes, por si te sirviera de algo:

opensc-opendnie
ccid
scmccid


Al ejecutar sudo opensc-explorer (viene con el opendnie) te debería salir algo, si instalaste el driver adecuado claro XD

Por lo que sé (que es casi nada) solo se puede en FF. Intenté copiar algo a Opera (imagino que era el certificado o el plugin o no sé qué brrr no recuerdo ya) pero nanai.

Suerte ;)


Gracias, debía de faltarme el scmccid, antes con el opensc-explorer no me salía nada y ahora sí :P Ahora a ver cómo se usa la cosa ésta, que probablemente no use para nada pero me picaba instalarlo en linux :P

No-Alternative escribió:Una pregunta chorra y rápida. Cómo puedo volver a leer la información que da un paquete cuándo se instala ? Por ejemplo, cuando instalas Virtualbox, justo después de instalar el paquete te da una información adicional sobre cómo tienes que configurar los deamons ...

Gracias.

Puedes verla (generalmente) en /var/log/pacman.log
para el DNI electrónico

teneis que instalar 'opensc-opendnie' o 'opensc-opendnie-git' (yo recomiendo este ultimo por estar más actualizado) y 'pcsclite'

pacman -S pcsclite
yaourt -S opensc-opendnie-git


mi lector es un C3PO LTC1-USB. no he necesitado ningún driver aparte, igual vosotros si

después seguís este pequeño leeme para configurar el opensc.conf:



encendéis el demonio 'pcscd':

sudo systemctl start pcscd


- para configurar firefox:



- para configurar chromium/chrome:

instalar 'nns'

pacman -S nns


en consola:

modutil -dbdir sql:$HOME/.pki/nssdb -add "DNI-e" -libfile /usr/lib/opensc-pkcs11.so


Comprobamos que este bien añadido:

modutil -list -dbdir sql:$HOME/.pki/nssdb


Abrimos el chromium/chrome y nos vamos a Preferencias->avanzada->Gestionar certificados. en la pestaña "Entidades emisoras" y añadimos los siguientes certificados:


Cerramos las preferencias e introducimos el DNIe. y hacemos lo mismo de antes (preferencias->avanzadas->gestionar certificados). en el nos pedirá que metamos el PIN del DNI-e. lo metemos y en certificados de usuarios deberá aparecer tanto la firma como la autenticación.

para comprobar realmente si funciona, entrar a esta pagina de http://www.dnielectronico.es y hacer la prueba de funcionamiento

acordaos de que cuando necesitéis usar el DNIe otra vez, necesitáis ir al gestor de certificados para activar el DNIe (meter PIN), para que no de problemas

si no os funcionan algunas tramitaciones es culpa de los putos applets java de mierda, que solo están preparados para el combo Win/IE

saludos XD

EDIT: editado el 20140716
Esta tarde me he decidido ver la peli de Avatar en Arch con VLC, ha sido imposible desde Arch porque me iba a tirones todo el rato (tengo los drivers de nVidia) instalados y en cambio en Windows 7 no he tenido ningún problema. Alguna sugerencia ?
sL1pKn07 escribió:para el DNI electronico

- opensc-opendnie (o el paquete que yo mismo mantengo xd, opensc-opensnie-svn)
- pcsclite
(y las dependencias que marque cada paquete)
(mi lector es un C3PO LTC1-USB. no he necesitado ningún driver aparte, igual vosotros si)

despues seguís este pequeño leeme que incluyen en las sources de opensc-opendnie para configurar el opensc:

http://forja.cenatic.es/plugins/scmsvn/ ... iew=markup

encendeis el demonio pcscd

configurar firefox: http://oasis.dit.upm.es/~jantonio/perso ... irefox.pdf

configurar chromium/chrome:

instalar NNS

en consola: modutil -dbdir sql:$HOME/.pki/nssdb -add "DNI-e" -libfile /usr/lib/opensc-pkcs11.so

comprobamos que este bien añadido: modutil -list -dbdir sql:$HOME/.pki/nssdb

abrimos el chromium y nos vamos a Preferencias->avanzada->Gestionar certificados. en la pestaña "Entidades emisoras" y añadimos este certificado (DGP) http://www.dnielectronico.es/ZIP/ACRAIZ-SHA1.zip o este otro http://www.dnielectronico.es/ZIP/ACRAIZ-SHA2.zip (yo tengo los dos), y aparte este http://www.cert.fnmt.es/content/pages_s ... ase2CA.cer

cerramos las preferencias e introducimos el DNI-e. y hacemos lo mismo de antes (preferencias->avanzadas->gestionar certificados). en el nos pedirá que metamos el PIN del DNI-e. lo metemos y en certificados de usuarios deberá aparecer tanto la firma como la autenticación.

para comprobar realmente si funciona, entrar a denielectronico.es y hacer la prueba de funcionamiento

saludos XD


Ay, me olvidé de darte las gracias, me ha resultado muy útil, ya lo tengo todo bien puesto. Pues eso, gracias ;)
sL1pKn07 escribió:mplayer2 + vdpau


Perfecto compañero, y por qué demonios no va cómo Dios manda en el VLC ?



Saludos.
No-Alternative escribió:Perfecto compañero, y por qué demonios no va cómo Dios manda en el VLC ?

No eres el único que sufre parones con VLC + MKVs o vídeos en alta resolución.

EDIT: tengo un problemilla, he estado un tiempo con el teclado de Apple y ahora he vuelto al estándar, pero la tecla que esta a la izquierda del 1 (abajo de ESC) me pone caracteres que no son, ej: § y con ALT GR ¬ <- cuando debe ser la barra \

EDIT 2: f1x3d
No-Alternative escribió:
sL1pKn07 escribió:mplayer2 + vdpau


Perfecto compañero, y por qué demonios no va cómo Dios manda en el VLC ?

Saludos.


Yo en el portátil directamente no puedo usar vlc, empieza bien pero a los 2 min empieza a rascar el disco duro como si se hubiera chupado toda la ram, la swap y la madre que la parió, impidiéndome hacer absolutamente nada. Desde que me pasa tanto en el sobremesa como en el portátil uso gnome mplayer y más feliz que una perdiz.
amuchamu escribió:
No-Alternative escribió:
sL1pKn07 escribió:mplayer2 + vdpau


Perfecto compañero, y por qué demonios no va cómo Dios manda en el VLC ?

Saludos.


Yo en el portátil directamente no puedo usar vlc, empieza bien pero a los 2 min empieza a rascar el disco duro como si se hubiera chupado toda la ram, la swap y la madre que la parió, impidiéndome hacer absolutamente nada. Desde que me pasa tanto en el sobremesa como en el portátil uso gnome mplayer y más feliz que una perdiz.

pues yo uso Vlc y me funciona muy bien en el portatil y en el sobremesa
Tengo un problemon....instale hace tiempo Arch y todo genial pero decidí ayer formatear porque no me gustaba como tenía repartido el espacio en las particiones y ahora no me funciona Arch !! no me deja instalar el Grub después de instalar los paquetes.

Tengo 4 particiones.
sda 1 de 90 gbs para Windows 7
sda 2 de 490 gb de datos para ambos
sda 3 de 35 gb para Arch (raiz)
sda 4 de 2 gb para el swap

Bien lo que hago es hacer las particiones durante la instalacion de Windows, instalo Windows 7 y reinicio, me voy a la instalacion de Arch, selecciono los puntos de montaje como he dicho, instalo los paquetes, se instalan paso a configurar el sistema ..lo hago.

Y por ultimo me voy a Install Bootloader, selecciono GRUB, me salta el archivo de configuracion para que lo verifique (veo que esta bien) y al darle a seleccionar donde quiero instalarlo, que selecciono /dev/sda es decir, el MBR, salta ERROR GRUB WAS NOT INSTALLED, puede ver los errores en la Terminal 7

Me voy a la siete y lo que veo es que pone Partition number 1, number 2 , number 3 etc filesystem uknow 0x16, 0x18. Y no se instala por lo que logicamente me quedo sin grub y sin poder iniciar arch =(
er_gallar escribió:Tengo un problemon....instale hace tiempo Arch y todo genial pero decidí ayer formatear porque no me gustaba como tenía repartido el espacio en las particiones y ahora no me funciona Arch !! no me deja instalar el Grub después de instalar los paquetes.

Tengo 4 particiones.
sda 1 de 90 gbs para Windows 7
sda 2 de 490 gb de datos para ambos
sda 3 de 35 gb para Arch (raiz)
sda 4 de 2 gb para el swap

Bien lo que hago es hacer las particiones durante la instalacion de Windows, instalo Windows 7 y reinicio, me voy a la instalacion de Arch, selecciono los puntos de montaje como he dicho, instalo los paquetes, se instalan paso a configurar el sistema ..lo hago.

Y por ultimo me voy a Install Bootloader, selecciono GRUB, me salta el archivo de configuracion para que lo verifique (veo que esta bien) y al darle a seleccionar donde quiero instalarlo, que selecciono /dev/sda es decir, el MBR, salta ERROR GRUB WAS NOT INSTALLED, puede ver los errores en la Terminal 7

Me voy a la siete y lo que veo es que pone Partition number 1, number 2 , number 3 etc filesystem uknow 0x16, 0x18. Y no se instala por lo que logicamente me quedo sin grub y sin poder iniciar arch =(


Que yo recuerde, al instalar el grub, te dice que tienes que instalarlo en una partición no en el MBR, osea al revés de lo que estás haciendo.

Durante la instalación de Arch, cuando se particiona el disco duro con el cfdisk hay que marcar la partición booteable para instalar el grub en ella.

Saludos.
El grub dice que seleccione donde quiere instalarlo y dice (usually in the mbr)
Tienes razón. Todo este tiempo estuve equivocado. [ayay]

Pues no se que decirte. Lo único echarle un vistazo a https://wiki.archlinux.org/index.php/GRUB
Dyno escribió:Tienes razón. Todo este tiempo estuve equivocado. [ayay]

Pues no se que decirte. Lo único echarle un vistazo a https://wiki.archlinux.org/index.php/GRUB


jajaj, gracias de todos modos. Ya lo arregle, era un tonteria, tenía la partición que iba a usar para ambos sistemas sin darle ningun formato. Esto no importa en la mayoría de las distribuciones, se instala igual el grub en el mbr, pero por lo visto aqui da un error de que no reconoce el sistema de ficheros ( lógico no lo había jaja).
Hola buenas, instalando arch me encontrado con un problema en las xorg con la grafica que tengo, tengo una intel 4500hd e instale el paquete xf86-video-intel, probe tanto con la version normal como con la testing por si habia algun problema de actualizacion, pero al configurar las xorg el sistema se queda pillado, no me llega salir el tipico reloj, alguien que tenga esta misma grafica podria indicarme que paquete debo usar. Saludos y gracias
flubbers escribió:Hola buenas, instalando arch me encontrado con un problema en las xorg con la grafica que tengo, tengo una intel 4500hd e instale el paquete xf86-video-intel, probe tanto con la version normal como con la testing por si habia algun problema de actualizacion, pero al configurar las xorg el sistema se queda pillado, no me llega salir el tipico reloj, alguien que tenga esta misma grafica podria indicarme que paquete debo usar. Saludos y gracias


Buenas, yo tengo una 4500mhd, los paquetes que tienes que instalar es xf86-video-intel, y luego mesa e intel-dri para la aceleracion. Y respecto a la configuración del xorg, no hace falta generar el fichero, prueba sin el fichero a ver si te funciona así.
Probe sin fichero, salia todo negro, lo genere con el Xorg -configure, tp mas de lo mismo, y luego probe con el hwd a ver si el que me generaba me valia, pero tp, casi todos me daban error al configurarlo. Probare de nuevo luego a ver si anoche a las 2 no atinaba mucho.Gracias por responder tan rapido.
Los archosos y que usais KDE de por aqui usais KDE o KDEmod??? cual recomendais?. Es para probarlo, actualmente uso OpenBox (una maravilla).

¿KDEmod es la versión optimizada para arch no? Pero hay alguna diferencia más..
Olvídate de KDEmod que esta muerto hace mucho tiempo... ;). Ahora los de KDEmod tienen su propia distro llamada Chakra.
el_menda78 escribió:Olvídate de KDEmod que esta muerto hace mucho tiempo... ;). Ahora los de KDEmod tienen su propia distro llamada Chakra.


Tenía entendido que podias usarlo simplemente añadiendo el repositorio de chakra a Arch.
er_gallar escribió:
el_menda78 escribió:Olvídate de KDEmod que esta muerto hace mucho tiempo... ;). Ahora los de KDEmod tienen su propia distro llamada Chakra.


Tenía entendido que podias usarlo simplemente añadiendo el repositorio de chakra a Arch.

No, KDEmod murió y los repositorios cerraron: http://chakra-project.org/news/index.ph ... mod-!.html
A ver, problemilla...

Antes de probar un teclado mac en el PC todo iba como la seda, desde que lo quite y le puse el normal, cada vez que inicio tengo que tirar de xmodmap para remapear todo el teclado o me quedo sin la mitad de teclas. ¿Alguna idea?.

Se que puedo poner xmodmap fichero_de_config al inicio pero quiero saber el porque me pasa.

Decir que en la config esta configurado con el teclado estándar.


Mira que le doy vueltas a las cosas pero hasta que no "posteo" el problema no me viene la 'iluminación'. Eran las locales que estaban mal, en vez de es_ES.UTF-8 estaba como es_ES.
Alguien sabe por que ya cuando instalas Xorg hoy en día ya no está el comando xstart ?
coyote@Miyuki ~$ locate startx
/usr/bin/startx
/usr/share/man/man1/startx.1.gz
coyote@Miyuki ~$ ls -lh /usr/bin/startx
-rwxr-xr-x 1 root root 4,4K mar 10 20:03 /usr/bin/startx


Ahí esta.
No-Alternative escribió:Alguien sabe por que ya cuando instalas Xorg hoy en día ya no está el comando xstart ?

Es startx, no xstart.
flubbers escribió:Probe sin fichero, salia todo negro, lo genere con el Xorg -configure, tp mas de lo mismo, y luego probe con el hwd a ver si el que me generaba me valia, pero tp, casi todos me daban error al configurarlo. Probare de nuevo luego a ver si anoche a las 2 no atinaba mucho.Gracias por responder tan rapido.

Un pequeño workaround:
* Borra el fichero xorg.conf
* Arranca X
* Pulsa:
Control+Alt+F1

* Escribe:
DISPLAY=":0.0" xterm

* Pulsa:
Control+Alt+F7

* Deberías tener un bonito xterm en X

Si en el tty7 (Control+Alt+F7) no hay y ves el prompt pero no puedes escribir, pulsa Control+Alt+F8 para ir a tty8

Puedes instalarte un desktop mini (openbox/fluxbox) para ir tirando :P (o definitivamente, como yo [beer] )
Me pasa algo muy raro con KDE :( cuando intento copiar algo por usb, no me lo copia bien, sino que crea un fichero vacío con el nombre de lo que estoy intentando copiar. Si desmonto el pendrive y lo vuelvo a montar, el sistema se congela y tengo que apagarlo con el botón. Lo curioso es que con Gnome3 no me pasa... ¿alguna idea?
Endher escribió:Me pasa algo muy raro con KDE :( cuando intento copiar algo por usb, no me lo copia bien, sino que crea un fichero vacío con el nombre de lo que estoy intentando copiar. Si desmonto el pendrive y lo vuelvo a montar, el sistema se congela y tengo que apagarlo con el botón. Lo curioso es que con Gnome3 no me pasa... ¿alguna idea?


Pues a mi lo de copiar, no me pasa, pero si se me congela el equipo al conectar cualquier cosa por USB , y por lo que he visto en los foros de Arch le pasa a bastante mas gente... todavia no he dado con que puede ser. Eso si, si arranco el ordenador con, por ejemplo, el pendrive conectado no tengo problemas. Me imagino que sera algun bug en udev o algo por el estilo.
Yo tengo un HDD USB que utilizo para hacer backups y he tenido que desconectarlo en el arranque porque sino se me tostaba siempre al arrancar... y sobre Gnome 3, creo que he cantado victoria demasiaod pronto, con Gnome 3 si se copia pero se congela igualmente.
A ver si me podeis echar una mano, de repente, cuando conecto el raton por USB al ordenador portatil, no me funciona
lo reconoce
Bus 002 Device 004: ID 15d9:0a4c Trust International B.V. USB+PS/2 Optical Mouse

pero no se mueve el cursor
alguien sabe por que puede ser?
Sólo era para decir lo bien que va arch en mi pc. Cada mes mejora, qué felicidad. :). [360º]
Imagen
el_menda78 escribió:
Endher escribió:Me pasa algo muy raro con KDE :( cuando intento copiar algo por usb, no me lo copia bien, sino que crea un fichero vacío con el nombre de lo que estoy intentando copiar. Si desmonto el pendrive y lo vuelvo a montar, el sistema se congela y tengo que apagarlo con el botón. Lo curioso es que con Gnome3 no me pasa... ¿alguna idea?


Pues a mi lo de copiar, no me pasa, pero si se me congela el equipo al conectar cualquier cosa por USB , y por lo que he visto en los foros de Arch le pasa a bastante mas gente... todavia no he dado con que puede ser. Eso si, si arranco el ordenador con, por ejemplo, el pendrive conectado no tengo problemas. Me imagino que sera algun bug en udev o algo por el estilo.

eso me paso a mi una vez que toque algo y lo solucione en preferencias de notificador de dispositivos, se habia desmarcado pestañas en automontaje , marcalas todas y mira a ver si te funciona
He probado lo que dices y no me funcionaba, pero me ha dado por volver a instalar HAL y parece que ya va bien... ya os contaré :D. Y por el momento no se cuelga al arrancar con el HDD USB, aunque eso quizá sea cosa del kernel nuevo...
Es que KDE no necesita HAL ya, es posible que al tenerlo instalado se haga la picha un lío.
6421 respuestas